<template>
    <div class="container">

                <div class="form-group">
                    <input type="text" placeholder="ФИО" id="name" v-model="my_name">
                </div>
                <div class="form-group">
                    <input type="text" placeholder="Город проживания" id="city" v-model="city">
                </div>
                <div class="form-group">
                    <input type="text" placeholder="Автор книги" id="pet-name" v-model="author">
                </div>
                <div class="form-group">
                    <input type="text" id="breed" placeholder="Название книги" v-model="book">
                </div>

                <div class="form-group">
                    <select class="form-control" id="month" v-model="month">
                        <option value="1">January</option>
                        <option value="2">February</option>
                        <option value="3">March</option>
                        <option value="4">April</option>
                        <option value="5">May</option>
                        <option value="6">June</option>
                        <option value="7">Jule</option>
                        <option value="8">August</option>
                        <option value="9">September</option>
                        <option value="10">October</option>
                        <option value="11">November</option>
                        <option value="12">December</option>
                    </select>
                </div>
                <div class="form-group">
                    <input type="date" id="count" placeholder="Дата возврата книги" v-model="return_date">
                </div>
                <div class="form-group">
                    <button type="submit" id="send" @click="submit_form">Отправить заявку на книгу</button>
                </div>
    </div>
</template>

<script>
    export default{
        data(){
          return{
              fields:{},
              errors:{},
              my_name:'',
            city:'',
            author:'',
            book:'',
            month:'',
            return_date:'',
          }
        },
        methods:{
            submit_form() {
                this.errors = {};
                axios({
                    method: 'POST',
                    url: '/send',
                    params: {
                        name: this.my_name,
                        city: this.city,
                        author: this.author,
                        book: this.book,
                        month: this.month,
                        return: this.return_date
                    },
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                })
                    .then((response) => {
                        alert('Завяка оставлена!');
                        this.my_name='';
                        this.city='';
                        this.author='';
                        this.book='';
                        this.return_date='';
                        this.month=0;
                    })
            },


        },
    }

</script>
